#define dbg(mode, format) 0
#define dbg_clear(mode, format) 0
#define dbg_active(mode) 0
// 24 "c:/wisenet/avrgcc/avr/include/inttypes.h"
typedef signed char int8_t;
typedef unsigned char uint8_t;
typedef int int16_t;
typedef unsigned int uint16_t;
typedef long int32_t;
typedef unsigned long uint32_t;
typedef long int64_t;
typedef unsigned long uint64_t;
typedef int16_t intptr_t;
typedef uint16_t uintptr_t;
// 201 "c:/wisenet/avrgcc/lib/gcc-lib/avr/3.1.1/include/stddef.h" 3
typedef unsigned int size_t;
//line 294
typedef int wchar_t;
// 13 "c:/wisenet/avrgcc/avr/include/stdlib.h"
typedef struct __nesc_unnamed4242 {
  int quot;
  int rem;
} div_t;
typedef struct __nesc_unnamed4243 {
  long quot;
  long rem;
} ldiv_t;
typedef int (*__compar_fn_t)(const void *, const void *);
// 147 "c:/wisenet/avrgcc/lib/gcc-lib/avr/3.1.1/include/stddef.h" 3
typedef int ptrdiff_t;
// 99 "c:/wisenet/tinyos-1.x/tos/system/tos.h"
typedef unsigned char bool;
enum __nesc_unnamed4244 {
  FALSE = 0, 
  TRUE = 1
};
enum __nesc_unnamed4245 {
  FAIL = 0, 
  SUCCESS = 1
};
typedef uint8_t  result_t;
//line 141
enum __nesc_unnamed4246 {
  N = 0x0
};
// 13 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/asm_utils.h"
void asm_nop(void );
// 37 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/reg1010.h"
sfr RTCON = 0xED;
sfr ADCON = 0x93;
sfr ADCON2 = 0x96;
//line 59
sfr FLCON = 0xAF;
sfr TCON2 = 0xA9;
sfr T2PRE = 0xAA;
sfr T2 = 0xAC;
//line 88
sfr CRPCON = 0xC3;
sfr RFMAIN = 0xC8;
//line 108
sfr X32CON = 0xD1;
sfr WDT = 0xD2;
//line 166
sfr P0 = 0x80;
sfr P1 = 0x90;
sfr P2 = 0xA0;
sfr P3 = 0xB0;
//line 186
sfr PCON = 0x87;
sfr TCON = 0x88;
sfr CKCON = 0x8E;
sfr EXIF = 0x91;
sfr SCON0 = 0x98;
sfr IE = 0xA8;
sfr IP = 0xB8;
sfr SCON1 = 0xC0;
sfr PSW = 0xD0;
sfr EICON = 0xD8;
sfr EIE = 0xE8;
sfr EIP = 0xF8;
//line 276
sbit TF1 = TCON ^ 7;
sbit TF0 = TCON ^ 5;
sbit IE1 = TCON ^ 3;
sbit IE0 = TCON ^ 1;
sbit TI_0 = SCON0 ^ 1;
sbit RI_0 = SCON0 ^ 0;
sbit TI_1 = SCON1 ^ 1;
sbit RI_1 = SCON1 ^ 0;
sbit EA = IE ^ 7;
sbit ES1 = IE ^ 6;
sbit ES0 = IE ^ 4;
sbit ET1 = IE ^ 3;
sbit EX1 = IE ^ 2;
sbit ET0 = IE ^ 1;
sbit EX0 = IE ^ 0;
//line 346
sbit FDIE = EICON ^ 5;
sbit FDIF = EICON ^ 4;
sbit RTCIF = EICON ^ 3;
sbit RTCIE = EIE ^ 4;
sbit ET3 = EIE ^ 3;
sbit ADIE = EIE ^ 2;
sbit ET2 = EIE ^ 1;
sbit RFIE = EIE ^ 0;
// 49 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hal.h"
typedef unsigned char byte;
typedef unsigned short word;
typedef unsigned long ulong;
//line 92
void halSetPortBit(byte portNum, byte bitNum, byte kdataBit);
//line 106
void halSetPortBitDirTEST(byte portNum, byte bitNum, byte direction);
void halSetPortDir(byte portNum, byte direction);
//line 1323
typedef struct S_RF_RXTXPAIR_SETTINGS {
  byte modem0;
  byte modem1;
  byte modem2;
  byte freq_2a;
  byte freq_1a;
  byte freq_0a;
  byte freq_2b;
  byte freq_1b;
  byte freq_0b;
  byte fsep1;
  byte fsep0;
  byte pll_rx;
  byte pll_tx;
  byte current_rx;
  byte current_tx;
  byte frend;
  byte pa_pow;
  byte match;
  byte prescaler;
} RF_RXTXPAIR_SETTINGS;
typedef struct S_RF_RXTXPAIR_CALDATA {
  byte vco_ao_rx;
  byte chp_co_rx;
  byte vco_ao_tx;
} RF_RXTXPAIR_CALDATA;
static  
// 106 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/wisenet_hardware.h"
void TOSH_wait(void);
static  
//line 119
void TOSH_sleep(void);
// 104 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_SET_P2_4_PIN(void);
//line 104
static  void TOSH_CLR_P2_4_PIN(void);
//line 104
static  void TOSH_MAKE_P2_4_OUTPUT(void);
static  void TOSH_SET_P2_5_PIN(void);
//line 105
static  void TOSH_CLR_P2_5_PIN(void);
//line 105
static  void TOSH_MAKE_P2_5_OUTPUT(void);
static  void TOSH_SET_P3_2_PIN(void);
//line 110
static  void TOSH_CLR_P3_2_PIN(void);
//line 110
static  void TOSH_MAKE_P3_2_OUTPUT(void);
// 79 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_SET_RED_LED_PIN(void);
//line 79
static  void TOSH_CLR_RED_LED_PIN(void);
//line 79
static  void TOSH_MAKE_RED_LED_OUTPUT(void);
static  void TOSH_SET_YELLOW_LED_PIN(void);
//line 80
static  void TOSH_CLR_YELLOW_LED_PIN(void);
//line 80
static  void TOSH_MAKE_YELLOW_LED_OUTPUT(void);
static  void TOSH_SET_GREEN_LED_PIN(void);
//line 81
static  void TOSH_CLR_GREEN_LED_PIN(void);
//line 81
static  void TOSH_MAKE_GREEN_LED_OUTPUT(void);
//line 109
enum __nesc_unnamed4247 {
  TOSH_PHOTO_ADDR = 57, 
  TOSH_PHOTO_POWER_DOWN = 0x00, 
  TOSH_PHOTO_READ_COMMAND_REG = 0x03, 
  TOSH_PHOTO_READ_ADC0 = 0x43, 
  TOSH_PHOTO_READ_ADC1 = 0x83, 
  TOSH_HUMIDITY_ADDR = 5, 
  TOSH_HUMIDITY_TEMP_ADDR = 3, 
  TOSH_HUMIDITY_RESET = 0x1E
};
static  
// 141 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
void TOSH_SET_PIN_DIRECTIONS(void );
// 85 "c:/wisenet/tinyos-1.x/tos/system/dbg.h"
typedef long TOS_dbg_mode;
// 80 "c:/wisenet/tinyos-1.x/tos/system/dbg_modes.h"
enum __nesc_unnamed4248 {
  DBG_ALL = ~0, 
  DBG_BOOT = 1 << 0, 
  DBG_CLOCK = 1 << 1, 
  DBG_TASK = 1 << 2, 
  DBG_SCHED = 1 << 3, 
  DBG_SENSOR = 1 << 4, 
  DBG_LED = 1 << 5, 
  DBG_CRYPTO = 1 << 6, 
  DBG_ROUTE = 1 << 7, 
  DBG_AM = 1 << 8, 
  DBG_CRC = 1 << 9, 
  DBG_PACKET = 1 << 10, 
  DBG_ENCODE = 1 << 11, 
  DBG_RADIO = 1 << 12, 
  DBG_LOG = 1 << 13, 
  DBG_ADC = 1 << 14, 
  DBG_I2C = 1 << 15, 
  DBG_UART = 1 << 16, 
  DBG_PROG = 1 << 17, 
  DBG_SOUNDER = 1 << 18, 
  DBG_TIME = 1 << 19, 
  DBG_SIM = 1 << 21, 
  DBG_QUEUE = 1 << 22, 
  DBG_SIMRADIO = 1 << 23, 
  DBG_HARD = 1 << 24, 
  DBG_MEM = 1 << 25, 
  DBG_USR1 = 1 << 27, 
  DBG_USR2 = 1 << 28, 
  DBG_USR3 = 1 << 29, 
  DBG_TEMP = 1 << 30, 
  DBG_ERROR = 1 << 31, 
  DBG_NONE = 0, 
  DBG_DEFAULT = DBG_ALL
};
// 89 "c:/wisenet/tinyos-1.x/tos/system/sched.c"
typedef struct __nesc_unnamed4249 {
  void (*tp)(void);
} TOSH_sched_entry_T;
enum __nesc_unnamed4250 {
  TOSH_MAX_TASKS = 8, 
  TOSH_TASK_BITMASK = TOSH_MAX_TASKS - 1
};
TOSH_sched_entry_T TOSH_queue[TOSH_MAX_TASKS];
volatile uint8_t TOSH_sched_full;
volatile uint8_t TOSH_sched_free;
static  
void TOSH_interrupt_enable(void );
static  bool TOSH_interrupt_disable(void );
static  void TOSH_wait(void );
static  void TOSH_sleep(void );
static  
void TOSH_sched_init(void );
//line 130
bool  TOS_post(void (*tp)(void));
static  
//line 170
bool TOSH_run_next_task(void);
static  
//line 189
void TOSH_run_task(void);
// 67 "c:/wisenet/tinyos-1.x/tos/interfaces/Timer.h"
enum __nesc_unnamed4251 {
  TIMER_REPEAT = 0, 
  TIMER_ONE_SHOT = 1, 
  NUM_TIMERS = 8
};
// 95 "c:/wisenet/tinyos-1.x/tos/interfaces/Clock.h"
enum __nesc_unnamed4252 {
  TOS_I1000PS = 57, TOS_S1000PS = 1, 
  TOS_I100PS = 65, TOS_S100PS = 130, 
  TOS_I10PS = 150, TOS_S10PS = 150, 
  TOS_I4096PS = 13, TOS_S4096PS = 1, 
  TOS_I2048PS = 27, TOS_S2048PS = 1, 
  TOS_I1024PS = 56, TOS_S1024PS = 1, 
  TOS_I512PS = 112, TOS_S512PS = 1, 
  TOS_I256PS = 225, TOS_S256PS = 1, 
  TOS_I128PS = 195, TOS_S128PS = 129, 
  TOS_I64PS = 135, TOS_S64PS = 131, 
  TOS_I32PS = 14, TOS_S32PS = 2, 
  TOS_I16PS = 29, TOS_S16PS = 3, 
  TOS_I8PS = 59, TOS_S8PS = 4, 
  TOS_I4PS = 119, TOS_S4PS = 5, 
  TOS_I2PS = 240, TOS_S2PS = 6, 
  TOS_I1PS = 225, TOS_S1PS = 7, 
  TOS_I0PS = 0, TOS_S0PS = 0
};
enum __nesc_unnamed4253 {
  DEFAULT_SCALE = 3, DEFAULT_INTERVAL = 29
};
static  result_t PotM_Pot_init(uint8_t arg_0xa2853a8);
static  result_t HPLPotC_Pot_finalise(void);
static  result_t HPLPotC_Pot_decrease(void);
static  result_t HPLPotC_Pot_increase(void);
static  result_t HPLInit_init(void);
static  bool HPLInterrupt_Interrupt_disable(void);
static  result_t HPLInterrupt_Interrupt_enable(void);
static  result_t BlinkSleepM_StdControl_init(void);
static  result_t BlinkSleepM_StdControl_start(void);
static  result_t BlinkSleepM_Timer_fired(void);
static  result_t TimerM_Clock_fire(void);
static  result_t TimerM_Timer_default_fired(uint8_t arg_0xa2bbe28);
static  result_t TimerM_Timer_start(uint8_t arg_0xa2bbe28, char arg_0xa2af2c8, uint32_t arg_0xa2af400);
static  result_t TimerM_Timer_stop(uint8_t arg_0xa2bbe28);
static  result_t HPLClock_Clock_setRate(char arg_0xa2d4348, char arg_0xa2d4468);
static  result_t LedsC_Leds_init(void);
static  result_t LedsC_Leds_redOff(void);
static  result_t LedsC_Leds_redToggle(void);
static  result_t LedsC_Leds_set(uint8_t arg_0xa2b7118);
static  result_t LedsC_Leds_redOn(void);
static  result_t HPLClockRTC_ClockRTC_setSleepTime(uint16_t arg_0xa2b48a0);
static  result_t HPLClockRTC_ClockRTC_sleep(void);
static  result_t HPLClockRTC_StdControl_init(void);
static  
// 70 "c:/wisenet/tinyos-1.x/tos/system/RealMain.nc"
result_t RealMain_hardwareInit(void);
static  
// 105 "c:/wisenet/tinyos-1.x/tos/interfaces/Pot.nc"
result_t RealMain_Pot_init(uint8_t arg_0xa2853a8);
static  
// 86 "c:/wisenet/tinyos-1.x/tos/interfaces/Interrupt.nc"
result_t RealMain_Interrupt_enable(void);
static  
// 52 "c:/wisenet/tinyos-1.x/tos/interfaces/StdControl.nc"
result_t RealMain_StdControl_init(void);
static  
result_t RealMain_StdControl_start(void);
// 78 "c:/wisenet/tinyos-1.x/tos/system/RealMain.nc"
int   main(void);
static  
// 101 "c:/wisenet/tinyos-1.x/tos/interfaces/HPLPot.nc"
result_t PotM_HPLPot_finalise(void);
static  
//line 86
result_t PotM_HPLPot_decrease(void);
static  
result_t PotM_HPLPot_increase(void);
// 114 "c:/wisenet/tinyos-1.x/tos/system/PotM.nc"
uint8_t PotM_potSetting;
static  
void PotM_setPot(uint8_t value);
static   
//line 129
result_t PotM_Pot_init(uint8_t initialSetting);
static   
// 82 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLPotC.nc"
result_t HPLPotC_Pot_decrease(void);
static   
result_t HPLPotC_Pot_increase(void);
static   
result_t HPLPotC_Pot_finalise(void);
static   
// 82 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLInit.nc"
result_t HPLInit_init(void);
static   
// 81 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLInterrupt.nc"
result_t HPLInterrupt_Interrupt_enable(void);
static   
bool HPLInterrupt_Interrupt_disable(void);
static  
void  TOSH_interrupt_enable(void);
static  
bool  TOSH_interrupt_disable(void);
static  
// 52 "c:/wisenet/tinyos-1.x/tos/interfaces/StdControl.nc"
result_t BlinkSleepM_RTCControl_init(void);
static  
// 83 "c:/wisenet/tinyos-1.x/tos/interfaces/Leds.nc"
result_t BlinkSleepM_Leds_init(void);
static  
//line 108
result_t BlinkSleepM_Leds_redToggle(void);
static  
//line 176
result_t BlinkSleepM_Leds_set(uint8_t arg_0xa2b7118);
static  
// 83 "c:/wisenet/tinyos-1.x/tos/interfaces/ClockRTC.nc"
result_t BlinkSleepM_ClockRTC_setSleepTime(uint16_t arg_0xa2b48a0);
static  
result_t BlinkSleepM_ClockRTC_sleep(void);
static  
// 89 "c:/wisenet/tinyos-1.x/tos/interfaces/Timer.nc"
result_t BlinkSleepM_Timer_start(char arg_0xa2af2c8, uint32_t arg_0xa2af400);
static  
result_t BlinkSleepM_Timer_stop(void);
// 59 "BlinkSleepM.nc"
uint8_t BlinkSleepM_tickCount;
uint8_t BlinkSleepM_ticksLeft;
static   
result_t BlinkSleepM_StdControl_init(void);
static   
result_t BlinkSleepM_StdControl_start(void);
static   
void BlinkSleepM_sleep(void);
static   
//line 99
result_t BlinkSleepM_Timer_fired(void);
static  
// 122 "c:/wisenet/tinyos-1.x/tos/interfaces/Clock.nc"
result_t TimerM_Clock_setRate(char arg_0xa2d4348, char arg_0xa2d4468);
static  
// 103 "c:/wisenet/tinyos-1.x/tos/interfaces/Timer.nc"
result_t TimerM_Timer_fired(
// 47 "c:/wisenet/tinyos-1.x/tos/system/TimerM.nc"
uint8_t arg_0xa2bbe28);
uint8_t TimerM_mState;
struct TimerM_timer_s {
  uint8_t type;
  uint32_t ticks;
  uint32_t ticksLeft;
} TimerM_mTimerList[NUM_TIMERS];
static  
//line 85
result_t TimerM_Timer_start(uint8_t id, char type, 
uint32_t interval);
static   
//line 140
result_t TimerM_Timer_stop(uint8_t id);
static    
//line 156
result_t TimerM_Timer_default_fired(uint8_t id);
static   
result_t TimerM_Clock_fire(void);
static  
// 206 "c:/wisenet/tinyos-1.x/tos/interfaces/Clock.nc"
result_t HPLClock_Clock_fire(void);
// 84 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClock.nc"
bool HPLClock_set_flag;
//line 84
bool HPLClock_clkRun_flag;
uint8_t HPLClock_currentScale;
//line 85
uint8_t HPLClock_nextScale;
//line 85
uint8_t HPLClock_nextInterval;
static  
//line 163
result_t HPLClock_Clock_setRate(char interval, char scale);
//line 213
void    int_Timer2(void);
// 73 "c:/wisenet/tinyos-1.x/tos/system/LedsC.nc"
uint8_t LedsC_ledsOn;
enum LedsC___nesc_unnamed4254 {
  LedsC_RED_BIT = 1, 
  LedsC_GREEN_BIT = 2, 
  LedsC_YELLOW_BIT = 4
};
static   
result_t LedsC_Leds_init(void);
static   
result_t LedsC_Leds_redOn(void);
static   
result_t LedsC_Leds_redOff(void);
static   
result_t LedsC_Leds_redToggle(void);
static  
//line 155
result_t LedsC_Leds_set(uint8_t ledsNum);
// 90 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClockRTC.nc"
uint16_t HPLClockRTC_ticks;
//line 90
uint16_t HPLClockRTC_ticksLeft;
uint8_t HPLClockRTC_ieState;
//line 91
uint8_t HPLClockRTC_eieState;
bool HPLClockRTC_adcPower;
static   
result_t HPLClockRTC_StdControl_init(void);
static   
//line 112
result_t HPLClockRTC_ClockRTC_setSleepTime(uint16_t time);
static   
result_t HPLClockRTC_ClockRTC_sleep(void);
//line 189
void    int_RTC(void);
// 110 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_MAKE_P3_2_OUTPUT(void)
//line 110
{
//line 110
  halSetPortBitDirTEST(3, 2, 0);
}
// 81 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_MAKE_GREEN_LED_OUTPUT(void)
//line 81
{
//line 81
  TOSH_MAKE_P3_2_OUTPUT();
}
// 105 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_MAKE_P2_5_OUTPUT(void)
//line 105
{
//line 105
  halSetPortBitDirTEST(2, 5, 0);
}
// 80 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_MAKE_YELLOW_LED_OUTPUT(void)
//line 80
{
//line 80
  TOSH_MAKE_P2_5_OUTPUT();
}
// 104 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_MAKE_P2_4_OUTPUT(void)
//line 104
{
//line 104
  halSetPortBitDirTEST(2, 4, 0);
}
// 79 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_MAKE_RED_LED_OUTPUT(void)
//line 79
{
//line 79
  TOSH_MAKE_P2_4_OUTPUT();
}
static  
// 141 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
void TOSH_SET_PIN_DIRECTIONS(void )
{
  halSetPortDir(0, 1);
  halSetPortDir(1, 1);
  halSetPortDir(2, 1);
  halSetPortDir(3, 1);
  TOSH_MAKE_RED_LED_OUTPUT();
  TOSH_MAKE_YELLOW_LED_OUTPUT();
  TOSH_MAKE_GREEN_LED_OUTPUT();
}
static   
// 82 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLInit.nc"
result_t HPLInit_init(void)
//line 82
{
  do {
//line 83
      if (0) {
//line 83
          WDT |= 0x08;
        }
      else 
//line 83
        {
//line 83
          WDT |= 0x10;
//line 83
          WDT &= ~0x08;
        }
    }
  while (
//line 83
  0);
  CKCON &= ~0x07;
  FLCON = (FLCON & ~0x60) | (0x40 & 0x60);
  X32CON = (X32CON & ~0x04) | 0;
  X32CON = 1 ? X32CON & ~0x02 : X32CON | 0x02;
  TOSH_SET_PIN_DIRECTIONS();
  return SUCCESS;
}
 static  
// 70 "c:/wisenet/tinyos-1.x/tos/system/RealMain.nc"
result_t RealMain_hardwareInit(void){
  unsigned char result;
  result = HPLInit_init();
  return result;
}
static   
// 100 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLPotC.nc"
result_t HPLPotC_Pot_finalise(void)
//line 100
{
  return SUCCESS;
}
 static  
// 101 "c:/wisenet/tinyos-1.x/tos/interfaces/HPLPot.nc"
result_t PotM_HPLPot_finalise(void){
  unsigned char result;
  result = HPLPotC_Pot_finalise();
  return result;
}
static   
// 91 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLPotC.nc"
result_t HPLPotC_Pot_increase(void)
//line 91
{
  return SUCCESS;
}
 static  
// 94 "c:/wisenet/tinyos-1.x/tos/interfaces/HPLPot.nc"
result_t PotM_HPLPot_increase(void){
  unsigned char result;
  result = HPLPotC_Pot_increase();
  return result;
}
static   
// 82 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLPotC.nc"
result_t HPLPotC_Pot_decrease(void)
//line 82
{
  return SUCCESS;
}
 static  
// 86 "c:/wisenet/tinyos-1.x/tos/interfaces/HPLPot.nc"
result_t PotM_HPLPot_decrease(void){
  unsigned char result;
  result = HPLPotC_Pot_decrease();
  return result;
}
static  
// 116 "c:/wisenet/tinyos-1.x/tos/system/PotM.nc"
void PotM_setPot(uint8_t value)
//line 116
{
  uint8_t i;
//line 118
  for (i = 0; i < 151; i++) 
    PotM_HPLPot_decrease();
  for (i = 0; i < value; i++) 
    PotM_HPLPot_increase();
  PotM_HPLPot_finalise();
  PotM_potSetting = value;
}
static   result_t PotM_Pot_init(uint8_t initialSetting)
//line 129
{
  PotM_setPot(initialSetting);
  return SUCCESS;
}
 static  
// 105 "c:/wisenet/tinyos-1.x/tos/interfaces/Pot.nc"
result_t RealMain_Pot_init(uint8_t arg_0xa2853a8){
  unsigned char result;
  result = PotM_Pot_init(arg_0xa2853a8);
  return result;
}
static  
// 108 "c:/wisenet/tinyos-1.x/tos/system/sched.c"
void TOSH_sched_init(void )
{
  TOSH_sched_free = 0;
  TOSH_sched_full = 0;
}
static   
// 94 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClockRTC.nc"
result_t HPLClockRTC_StdControl_init(void)
//line 94
{
  do {
//line 95
      if (12 == 0) {
//line 95
        EX0 = 1;
        }
      else {
//line 95
        if (12 == 2) {
//line 95
          EX1 = 1;
          }
        else {
//line 95
          if (12 == 1) {
//line 95
            ET0 = 1;
            }
          else {
//line 95
            if (12 == 3) {
//line 95
              ET1 = 1;
              }
            else {
//line 95
              if (12 == 9) {
//line 95
                ET2 = 1;
                }
              else {
//line 95
                if (12 == 11) {
//line 95
                  ET3 = 1;
                  }
                else {
//line 95
                  if (12 == 4) {
//line 95
                    ES0 = 1;
                    }
                  else {
//line 95
                    if (12 == 7) {
//line 95
                      ES1 = 1;
                      }
                    else {
//line 95
                      if (12 == 6) {
//line 95
                        FDIE = 1;
                        }
                      else {
//line 95
                        if (12 == 8) {
//line 95
                          RFIE = 1;
                          }
                        else {
//line 95
                          if (12 == 10) {
//line 95
                            ADIE = 1;
                            }
                          else {
//line 95
                            if (12 == 100) {
//line 95
                                if (1) {
//line 95
                                  CRPCON |= 0x40;
                                  }
                                else {
//line 95
                                  CRPCON &= ~0x40;
                                  }
                              }
                            else {
//line 95
                              if (12 == 101) {
//line 95
                                  if (1) {
//line 95
                                    ADCON2 |= 0x80;
                                    }
                                  else {
//line 95
                                    ADCON2 &= ~0x80;
                                    }
                                }
                              else {
//line 95
                                if (12 == 12) {
//line 95
                                  RTCIE = 1;
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
    }
  while (
//line 95
  0);
  X32CON = 1 ? X32CON & ~0x02 : X32CON | 0x02;
  HPLClockRTC_ticks = 0;
  HPLClockRTC_ieState = 0;
  HPLClockRTC_eieState = 0;
  HPLClockRTC_adcPower = 1;
  return SUCCESS;
}
 static  
// 52 "c:/wisenet/tinyos-1.x/tos/interfaces/StdControl.nc"
result_t BlinkSleepM_RTCControl_init(void){
  unsigned char result;
  result = HPLClockRTC_StdControl_init();
  return result;
}
// 110 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_SET_P3_2_PIN(void)
//line 110
{
//line 110
  halSetPortBit(3, 2, 1);
}
// 81 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_SET_GREEN_LED_PIN(void)
//line 81
{
//line 81
  TOSH_SET_P3_2_PIN();
}
// 105 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_SET_P2_5_PIN(void)
//line 105
{
//line 105
  halSetPortBit(2, 5, 1);
}
// 80 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_SET_YELLOW_LED_PIN(void)
//line 80
{
//line 80
  TOSH_SET_P2_5_PIN();
}
// 104 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_SET_P2_4_PIN(void)
//line 104
{
//line 104
  halSetPortBit(2, 4, 1);
}
// 79 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_SET_RED_LED_PIN(void)
//line 79
{
//line 79
  TOSH_SET_P2_4_PIN();
}
static   
// 81 "c:/wisenet/tinyos-1.x/tos/system/LedsC.nc"
result_t LedsC_Leds_init(void)
//line 81
{
  LedsC_ledsOn = 0;
  dbg(DBG_BOOT, "LEDS: initialized.\n");
  TOSH_SET_RED_LED_PIN();
  TOSH_SET_YELLOW_LED_PIN();
  TOSH_SET_GREEN_LED_PIN();
  return SUCCESS;
}
 static  
// 83 "c:/wisenet/tinyos-1.x/tos/interfaces/Leds.nc"
result_t BlinkSleepM_Leds_init(void){
  unsigned char result;
  result = LedsC_Leds_init();
  return result;
}
static   
// 67 "BlinkSleepM.nc"
result_t BlinkSleepM_StdControl_init(void)
//line 67
{
  BlinkSleepM_Leds_init();
  BlinkSleepM_RTCControl_init();
  BlinkSleepM_tickCount = 10;
  BlinkSleepM_ticksLeft = 10;
  return SUCCESS;
}
 static  
// 52 "c:/wisenet/tinyos-1.x/tos/interfaces/StdControl.nc"
result_t RealMain_StdControl_init(void){
  unsigned char result;
  result = BlinkSleepM_StdControl_init();
  return result;
}
 static  
// 89 "c:/wisenet/tinyos-1.x/tos/interfaces/Timer.nc"
result_t BlinkSleepM_Timer_start(char arg_0xa2af2c8, uint32_t arg_0xa2af400){
  unsigned char result;
  result = TimerM_Timer_start(
// 54 "BlinkSleep.nc"
  0, arg_0xa2af2c8, arg_0xa2af400);
  return result;
}
static   
// 112 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClockRTC.nc"
result_t HPLClockRTC_ClockRTC_setSleepTime(uint16_t time)
//line 112
{
  HPLClockRTC_ticks = time;
}
 static  
// 83 "c:/wisenet/tinyos-1.x/tos/interfaces/ClockRTC.nc"
result_t BlinkSleepM_ClockRTC_setSleepTime(uint16_t arg_0xa2b48a0){
  unsigned char result;
  result = HPLClockRTC_ClockRTC_setSleepTime(arg_0xa2b48a0);
  return result;
}
static   
// 75 "BlinkSleepM.nc"
result_t BlinkSleepM_StdControl_start(void)
//line 75
{
  BlinkSleepM_ClockRTC_setSleepTime(5);
  return BlinkSleepM_Timer_start(TIMER_REPEAT, 500);
}
 static  
// 59 "c:/wisenet/tinyos-1.x/tos/interfaces/StdControl.nc"
result_t RealMain_StdControl_start(void){
  unsigned char result;
  result = BlinkSleepM_StdControl_start();
  return result;
}
static   
// 81 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLInterrupt.nc"
result_t HPLInterrupt_Interrupt_enable(void)
//line 81
{
  EA = ! !1;
  return SUCCESS;
}
 static  
// 86 "c:/wisenet/tinyos-1.x/tos/interfaces/Interrupt.nc"
result_t RealMain_Interrupt_enable(void){
  unsigned char result;
  result = HPLInterrupt_Interrupt_enable();
  return result;
}
static  
// 106 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/wisenet_hardware.h"
void TOSH_wait(void)
{
  asm_nop();
  asm_nop();
  asm_nop();
  asm_nop();
}
static  
void TOSH_sleep(void)
{
}
static  
// 170 "c:/wisenet/tinyos-1.x/tos/system/sched.c"
bool TOSH_run_next_task(void)
//line 170
{
  uint8_t old_full;
  void (*func)(void );
  if (TOSH_sched_full == TOSH_sched_free) {
      return 0;
    }
  else {
      old_full = TOSH_sched_full;
      TOSH_sched_full++;
      TOSH_sched_full &= TOSH_TASK_BITMASK;
      func = TOSH_queue[(int )old_full].tp;
      TOSH_queue[(int )old_full].tp = 0;
      func();
      return 1;
    }
}
static  void TOSH_run_task(void)
//line 189
{
  while (TOSH_run_next_task()) 
    ;
  TOSH_sleep();
  TOSH_wait();
}
 static  
// 122 "c:/wisenet/tinyos-1.x/tos/interfaces/Clock.nc"
result_t TimerM_Clock_setRate(char arg_0xa2d4348, char arg_0xa2d4468){
  unsigned char result;
  result = HPLClock_Clock_setRate(arg_0xa2d4348, arg_0xa2d4468);
  return result;
}
 static  
// 176 "c:/wisenet/tinyos-1.x/tos/interfaces/Leds.nc"
result_t BlinkSleepM_Leds_set(uint8_t arg_0xa2b7118){
  unsigned char result;
  result = LedsC_Leds_set(arg_0xa2b7118);
  return result;
}
static   
// 116 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClockRTC.nc"
result_t HPLClockRTC_ClockRTC_sleep(void)
//line 116
{
  char delayCount;
//line 118
  if (HPLClockRTC_ticks > 0) {
      HPLClockRTC_ticksLeft = HPLClockRTC_ticks;
      EA = ! !0;
      do {
//line 121
          if (12 == 0) {
//line 121
            IE0 = 0;
            }
          else {
//line 121
            if (12 == 2) {
//line 121
              IE1 = 0;
              }
            else {
//line 121
              if (12 == 1) {
//line 121
                TF0 = 0;
                }
              else {
//line 121
                if (12 == 3) {
//line 121
                  TF1 = 0;
                  }
                else {
//line 121
                  if (12 == 9) {
//line 121
                      if (0) {
//line 121
                        EXIF |= 0x20;
                        }
                      else {
//line 121
                        EXIF &= ~0x20;
                        }
                    }
                  else {
//line 121
                    if (12 == 11) {
//line 121
                        if (0) {
//line 121
                          EXIF |= 0x80;
                          }
                        else {
//line 121
                          EXIF &= ~0x80;
                          }
                      }
                    else {
//line 121
                      if (12 == 40) {
//line 121
                        RI_0 = 0;
                        }
                      else {
//line 121
                        if (12 == 41) {
//line 121
                          TI_0 = 0;
                          }
                        else {
//line 121
                          if (12 == 70) {
//line 121
                            RI_1 = 0;
                            }
                          else {
//line 121
                            if (12 == 71) {
//line 121
                              TI_1 = 0;
                              }
                            else {
//line 121
                              if (12 == 6) {
//line 121
                                FDIF = 0;
                                }
                              else {
//line 121
                                if (12 == 8) {
//line 121
                                    if (0) {
//line 121
                                      EXIF |= 0x10;
                                      }
                                    else {
//line 121
                                      EXIF &= ~0x10;
                                      }
                                  }
                                else {
//line 121
                                  if (12 == 10) {
//line 121
                                      if (0) {
//line 121
                                        EXIF |= 0x40;
                                        }
                                      else {
//line 121
                                        EXIF &= ~0x40;
                                        }
                                    }
                                  else {
//line 121
                                    if (12 == 100) {
//line 121
                                        if (0) {
//line 121
                                          CRPCON |= 0x20;
                                          }
                                        else {
//line 121
                                          CRPCON &= ~0x20;
                                          }
                                      }
                                    else {
//line 121
                                      if (12 == 101) {
//line 121
                                          if (0) {
//line 121
                                            ADCON2 |= 0x40;
                                            }
                                          else {
//line 121
                                            ADCON2 &= ~0x40;
                                            }
                                        }
                                      else {
//line 121
                                        if (12 == 12) {
//line 121
                                          RTCIF = 0;
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
        }
      while (
//line 121
      0);
      HPLClockRTC_ieState = IE;
      HPLClockRTC_eieState = EIE;
      IE = 0x80;
      EIE = 0x10;
      HPLClockRTC_adcPower = ADCON & 0x80;
      X32CON = (X32CON & ~0x01) | 1;
      RFMAIN = 0 ? RFMAIN & ~0x06 : RFMAIN | 0x06;
      while (HPLClockRTC_ticksLeft > 0) {
          if (HPLClockRTC_ticksLeft > 127) {
              HPLClockRTC_ticksLeft = HPLClockRTC_ticksLeft - 127;
              RTCON = 127;
            }
          else 
//line 142
            {
              RTCON = HPLClockRTC_ticksLeft;
              HPLClockRTC_ticksLeft = 0;
            }
          RTCON = 1 ? RTCON | 0x80 : RTCON & ~0x80;
          PCON |= 0x01;
        }
      RFMAIN = 1 ? RFMAIN & ~0x06 : RFMAIN | 0x06;
      RTCON = 0 ? RTCON | 0x80 : RTCON & ~0x80;
      ADCON = !HPLClockRTC_adcPower ? ADCON & ~0x80 : ADCON | 0x80;
      EA = ! !0;
      IE = HPLClockRTC_ieState;
      EIE = HPLClockRTC_eieState;
      asm_nop();
      asm_nop();
      asm_nop();
      asm_nop();
      X32CON = (X32CON & ~0x01) | 0;
      EA = ! !1;
      return SUCCESS;
    }
  else 
//line 184
    {
      return FAIL;
    }
}
 static  
// 93 "c:/wisenet/tinyos-1.x/tos/interfaces/ClockRTC.nc"
result_t BlinkSleepM_ClockRTC_sleep(void){
  unsigned char result;
  result = HPLClockRTC_ClockRTC_sleep();
  return result;
}
static  
// 93 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLInterrupt.nc"
void  TOSH_interrupt_enable(void)
//line 93
{
  HPLInterrupt_Interrupt_enable();
}
static   
//line 86
bool HPLInterrupt_Interrupt_disable(void)
//line 86
{
  bool result = EA;
//line 89
  EA = ! !0;
  return result;
}
static  
bool  TOSH_interrupt_disable(void)
//line 97
{
  return HPLInterrupt_Interrupt_disable();
}
static   
// 140 "c:/wisenet/tinyos-1.x/tos/system/TimerM.nc"
result_t TimerM_Timer_stop(uint8_t id)
//line 140
{
  char temp;
//line 142
  if (id >= NUM_TIMERS) {
//line 142
    return FAIL;
    }
//line 143
  if (TimerM_mState & (0x1 << id)) {
      temp = TOSH_interrupt_disable();
      TimerM_mState &= ~(0x1 << id);
      if (temp) {
//line 146
        TOSH_interrupt_enable();
        }
//line 147
      if (!TimerM_mState) {
          TimerM_Clock_setRate(TOS_I0PS, TOS_S0PS);
        }
      return SUCCESS;
    }
  return FAIL;
}
 static  
// 98 "c:/wisenet/tinyos-1.x/tos/interfaces/Timer.nc"
result_t BlinkSleepM_Timer_stop(void){
  unsigned char result;
  result = TimerM_Timer_stop(
// 54 "BlinkSleep.nc"
  0);
  return result;
}
static   
// 85 "BlinkSleepM.nc"
void BlinkSleepM_sleep(void)
//line 85
{
  BlinkSleepM_Timer_stop();
  BlinkSleepM_Leds_set(0);
  BlinkSleepM_ClockRTC_sleep();
  BlinkSleepM_Leds_set(7);
  BlinkSleepM_Timer_start(TIMER_REPEAT, 500);
}
// 104 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_CLR_P2_4_PIN(void)
//line 104
{
//line 104
  halSetPortBit(2, 4, 0);
}
// 79 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_CLR_RED_LED_PIN(void)
//line 79
{
//line 79
  TOSH_CLR_P2_4_PIN();
}
static   
// 90 "c:/wisenet/tinyos-1.x/tos/system/LedsC.nc"
result_t LedsC_Leds_redOn(void)
//line 90
{
  dbg(DBG_LED, "LEDS: Red on.\n");
  TOSH_CLR_RED_LED_PIN();
  LedsC_ledsOn |= LedsC_RED_BIT;
  return SUCCESS;
}
static   result_t LedsC_Leds_redOff(void)
//line 97
{
  dbg(DBG_LED, "LEDS: Red off.\n");
  TOSH_SET_RED_LED_PIN();
  LedsC_ledsOn &= ~LedsC_RED_BIT;
  return SUCCESS;
}
static   result_t LedsC_Leds_redToggle(void)
//line 104
{
  if (LedsC_ledsOn & LedsC_RED_BIT) {
    return LedsC_Leds_redOff();
    }
  else {
//line 108
    return LedsC_Leds_redOn();
    }
}
 static  
// 108 "c:/wisenet/tinyos-1.x/tos/interfaces/Leds.nc"
result_t BlinkSleepM_Leds_redToggle(void){
  unsigned char result;
  result = LedsC_Leds_redToggle();
  return result;
}
static   
// 99 "BlinkSleepM.nc"
result_t BlinkSleepM_Timer_fired(void)
{
  BlinkSleepM_Leds_redToggle();
  BlinkSleepM_ticksLeft--;
  if (BlinkSleepM_ticksLeft == 0) {
      BlinkSleepM_ticksLeft = BlinkSleepM_tickCount;
      TOS_post(BlinkSleepM_sleep);
    }
  return SUCCESS;
}
static    
// 156 "c:/wisenet/tinyos-1.x/tos/system/TimerM.nc"
result_t TimerM_Timer_default_fired(uint8_t id)
//line 156
{
  return SUCCESS;
}
 static  
// 103 "c:/wisenet/tinyos-1.x/tos/interfaces/Timer.nc"
result_t TimerM_Timer_fired(
// 47 "c:/wisenet/tinyos-1.x/tos/system/TimerM.nc"
uint8_t arg_0xa2bbe28){
  unsigned char result;
  switch (arg_0xa2bbe28) {
    case 
// 54 "BlinkSleep.nc"
    0:
      result = BlinkSleepM_Timer_fired();
      break;
    default:
      result = TimerM_Timer_default_fired(arg_0xa2bbe28);
    }
  return result;
}
static   
// 161 "c:/wisenet/tinyos-1.x/tos/system/TimerM.nc"
result_t TimerM_Clock_fire(void)
//line 161
{
  uint8_t i;
//line 163
  if (TimerM_mState) {
      for (i = 0; i < NUM_TIMERS; i++) {
          if (TimerM_mState & (0x1 << i)) {
              TimerM_mTimerList[i].ticksLeft--;
              if (TimerM_mTimerList[i].ticksLeft == 0) {
                  if (TimerM_mTimerList[i].type == TIMER_REPEAT) {
                      TimerM_mTimerList[i].ticksLeft = TimerM_mTimerList[i].ticks;
                    }
                  else 
                    {
                      TimerM_mState &= ~(0x1 << i);
                    }
                  TimerM_Timer_fired(i);
                }
            }
        }
    }
  else 
//line 179
    {
      TimerM_Clock_setRate(TOS_I0PS, TOS_S0PS);
    }
  return SUCCESS;
}
 static  
// 206 "c:/wisenet/tinyos-1.x/tos/interfaces/Clock.nc"
result_t HPLClock_Clock_fire(void){
  unsigned char result;
  result = TimerM_Clock_fire();
  return result;
}
// 110 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_CLR_P3_2_PIN(void)
//line 110
{
//line 110
  halSetPortBit(3, 2, 0);
}
// 81 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_CLR_GREEN_LED_PIN(void)
//line 81
{
//line 81
  TOSH_CLR_P3_2_PIN();
}
// 105 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/hardware.h"
static  void TOSH_CLR_P2_5_PIN(void)
//line 105
{
//line 105
  halSetPortBit(2, 5, 0);
}
// 80 "c:/wisenet/tinyos-1.x/tos/sensorboards/wisenet_LTH/sensorboard.h"
static  void TOSH_CLR_YELLOW_LED_PIN(void)
//line 80
{
//line 80
  TOSH_CLR_P2_5_PIN();
}
// 189 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClockRTC.nc"
void    int_RTC(void) interrupt 12
//line 189
{
  do {
//line 190
      if (12 == 0) {
//line 190
        IE0 = 0;
        }
      else {
//line 190
        if (12 == 2) {
//line 190
          IE1 = 0;
          }
        else {
//line 190
          if (12 == 1) {
//line 190
            TF0 = 0;
            }
          else {
//line 190
            if (12 == 3) {
//line 190
              TF1 = 0;
              }
            else {
//line 190
              if (12 == 9) {
//line 190
                  if (0) {
//line 190
                    EXIF |= 0x20;
                    }
                  else {
//line 190
                    EXIF &= ~0x20;
                    }
                }
              else {
//line 190
                if (12 == 11) {
//line 190
                    if (0) {
//line 190
                      EXIF |= 0x80;
                      }
                    else {
//line 190
                      EXIF &= ~0x80;
                      }
                  }
                else {
//line 190
                  if (12 == 40) {
//line 190
                    RI_0 = 0;
                    }
                  else {
//line 190
                    if (12 == 41) {
//line 190
                      TI_0 = 0;
                      }
                    else {
//line 190
                      if (12 == 70) {
//line 190
                        RI_1 = 0;
                        }
                      else {
//line 190
                        if (12 == 71) {
//line 190
                          TI_1 = 0;
                          }
                        else {
//line 190
                          if (12 == 6) {
//line 190
                            FDIF = 0;
                            }
                          else {
//line 190
                            if (12 == 8) {
//line 190
                                if (0) {
//line 190
                                  EXIF |= 0x10;
                                  }
                                else {
//line 190
                                  EXIF &= ~0x10;
                                  }
                              }
                            else {
//line 190
                              if (12 == 10) {
//line 190
                                  if (0) {
//line 190
                                    EXIF |= 0x40;
                                    }
                                  else {
//line 190
                                    EXIF &= ~0x40;
                                    }
                                }
                              else {
//line 190
                                if (12 == 100) {
//line 190
                                    if (0) {
//line 190
                                      CRPCON |= 0x20;
                                      }
                                    else {
//line 190
                                      CRPCON &= ~0x20;
                                      }
                                  }
                                else {
//line 190
                                  if (12 == 101) {
//line 190
                                      if (0) {
//line 190
                                        ADCON2 |= 0x40;
                                        }
                                      else {
//line 190
                                        ADCON2 &= ~0x40;
                                        }
                                    }
                                  else {
//line 190
                                    if (12 == 12) {
//line 190
                                      RTCIF = 0;
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
    }
  while (
//line 190
  0);
}
// 130 "c:/wisenet/tinyos-1.x/tos/system/sched.c"
bool  TOS_post(void (*tp)(void))
//line 130
{
  uint8_t tmp;
  bool fprev;
  fprev = TOSH_interrupt_disable();
  tmp = TOSH_sched_free;
  TOSH_sched_free++;
  TOSH_sched_free &= TOSH_TASK_BITMASK;
  if (TOSH_sched_free != TOSH_sched_full) {
      if (fprev) {
        TOSH_interrupt_enable();
        }
//line 144
      TOSH_queue[tmp].tp = tp;
      return 1;
    }
  else {
      TOSH_sched_free = tmp;
      if (fprev) {
        TOSH_interrupt_enable();
        }
//line 151
      return 0;
    }
}
// 78 "c:/wisenet/tinyos-1.x/tos/system/RealMain.nc"
int   main(void)
//line 78
{
  RealMain_hardwareInit();
  RealMain_Pot_init(10);
  TOSH_sched_init();
  RealMain_StdControl_init();
  RealMain_StdControl_start();
  RealMain_Interrupt_enable();
  while (1) {
      TOSH_run_task();
    }
}
static  
// 85 "c:/wisenet/tinyos-1.x/tos/system/TimerM.nc"
result_t TimerM_Timer_start(uint8_t id, char type, 
uint32_t interval)
//line 86
{
  char temp;
  if (id > NUM_TIMERS) {
//line 89
    return FAIL;
    }
//line 90
  if (type > 1) {
//line 90
    return FAIL;
    }
//line 91
  interval = interval / 10;
  TimerM_mTimerList[id].ticksLeft = interval;
  TimerM_mTimerList[id].ticks = interval;
  TimerM_mTimerList[id].type = type;
  temp = TOSH_interrupt_disable();
  TimerM_mState |= 0x1 << id;
  if (TimerM_mState) {
      TimerM_Clock_setRate(TOS_I100PS, TOS_S100PS);
    }
  else 
//line 100
    {
      TimerM_Clock_setRate(TOS_I0PS, TOS_S0PS);
    }
  if (temp) {
//line 110
    TOSH_interrupt_enable();
    }
//line 111
  return SUCCESS;
}
static  
// 163 "c:/wisenet/tinyos-1.x/tos/platform/wisenet/HPLClock.nc"
result_t HPLClock_Clock_setRate(char interval, char scale)
{
  do {
//line 166
      if (9 == 0) {
//line 166
        EX0 = 0;
        }
      else {
//line 166
        if (9 == 2) {
//line 166
          EX1 = 0;
          }
        else {
//line 166
          if (9 == 1) {
//line 166
            ET0 = 0;
            }
          else {
//line 166
            if (9 == 3) {
//line 166
              ET1 = 0;
              }
            else {
//line 166
              if (9 == 9) {
//line 166
                ET2 = 0;
                }
              else {
//line 166
                if (9 == 11) {
//line 166
                  ET3 = 0;
                  }
                else {
//line 166
                  if (9 == 4) {
//line 166
                    ES0 = 0;
                    }
                  else {
//line 166
                    if (9 == 7) {
//line 166
                      ES1 = 0;
                      }
                    else {
//line 166
                      if (9 == 6) {
//line 166
                        FDIE = 0;
                        }
                      else {
//line 166
                        if (9 == 8) {
//line 166
                          RFIE = 0;
                          }
                        else {
//line 166
                          if (9 == 10) {
//line 166
                            ADIE = 0;
                            }
                          else {
//line 166
                            if (9 == 100) {
//line 166
                                if (0) {
//line 166
                                  CRPCON |= 0x40;
                                  }
                                else {
//line 166
                                  CRPCON &= ~0x40;
                                  }
                              }
                            else {
//line 166
                              if (9 == 101) {
//line 166
                                  if (0) {
//line 166
                                    ADCON2 |= 0x80;
                                    }
                                  else {
//line 166
                                    ADCON2 &= ~0x80;
                                    }
                                }
                              else {
//line 166
                                if (9 == 12) {
//line 166
                                  RTCIE = 0;
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
    }
  while (
//line 166
  0);
  TCON2 &= ~0x01;
  HPLClock_nextInterval = interval;
  T2 = interval;
  HPLClock_currentScale = scale;
  HPLClock_clkRun_flag = 1;
  if (scale & 0x80) {
      T2PRE = scale & 0x7F;
    }
  else {
      scale &= 0x07;
      switch (scale) {
          case 0: HPLClock_clkRun_flag = 0;
          break;
          case 1: T2PRE = 0;
          break;
          case 2: T2PRE = 7;
          break;
          case 3: T2PRE = 14;
          break;
          case 4: T2PRE = 28;
          break;
          case 5: T2PRE = 56;
          break;
          case 6: T2PRE = 112;
          break;
          case 7: T2PRE = 225;
          break;
        }
    }
  TCON2 = 0 ? TCON2 | 0x02 : TCON2 & ~0x02;
  if (HPLClock_clkRun_flag) {
      TCON2 = 1 ? TCON2 | 0x02 : TCON2 & ~0x02;
    }
  EXIF &= ~0x20;
  do {
//line 206
      if (9 == 0) {
//line 206
        EX0 = 1;
        }
      else {
//line 206
        if (9 == 2) {
//line 206
          EX1 = 1;
          }
        else {
//line 206
          if (9 == 1) {
//line 206
            ET0 = 1;
            }
          else {
//line 206
            if (9 == 3) {
//line 206
              ET1 = 1;
              }
            else {
//line 206
              if (9 == 9) {
//line 206
                ET2 = 1;
                }
              else {
//line 206
                if (9 == 11) {
//line 206
                  ET3 = 1;
                  }
                else {
//line 206
                  if (9 == 4) {
//line 206
                    ES0 = 1;
                    }
                  else {
//line 206
                    if (9 == 7) {
//line 206
                      ES1 = 1;
                      }
                    else {
//line 206
                      if (9 == 6) {
//line 206
                        FDIE = 1;
                        }
                      else {
//line 206
                        if (9 == 8) {
//line 206
                          RFIE = 1;
                          }
                        else {
//line 206
                          if (9 == 10) {
//line 206
                            ADIE = 1;
                            }
                          else {
//line 206
                            if (9 == 100) {
//line 206
                                if (1) {
//line 206
                                  CRPCON |= 0x40;
                                  }
                                else {
//line 206
                                  CRPCON &= ~0x40;
                                  }
                              }
                            else {
//line 206
                              if (9 == 101) {
//line 206
                                  if (1) {
//line 206
                                    ADCON2 |= 0x80;
                                    }
                                  else {
//line 206
                                    ADCON2 &= ~0x80;
                                    }
                                }
                              else {
//line 206
                                if (9 == 12) {
//line 206
                                  RTCIE = 1;
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
    }
  while (
//line 206
  0);
  return SUCCESS;
}
void    int_Timer2(void) interrupt 9
//line 213
{
  if (HPLClock_set_flag) {
      T2 = HPLClock_nextInterval;
      HPLClock_currentScale = HPLClock_nextScale;
      HPLClock_clkRun_flag = 1;
      if (HPLClock_currentScale & 0x80) {
          T2PRE = HPLClock_currentScale & 0x7F;
        }
      else {
          HPLClock_currentScale &= 0x7;
          HPLClock_clkRun_flag = 1;
          switch (HPLClock_currentScale) {
              case 0: HPLClock_clkRun_flag = 0;
              break;
              case 1: T2PRE = 0;
              break;
              case 2: T2PRE = 7;
              break;
              case 3: T2PRE = 14;
              break;
              case 4: T2PRE = 28;
              break;
              case 5: T2PRE = 56;
              break;
              case 6: T2PRE = 112;
              break;
              case 7: T2PRE = 225;
              break;
            }
        }
      if (!HPLClock_clkRun_flag) {
          TCON2 = 0 ? TCON2 | 0x02 : TCON2 & ~0x02;
        }
      HPLClock_set_flag = 0;
    }
  HPLClock_Clock_fire();
  EXIF &= ~0x20;
}
static  
// 155 "c:/wisenet/tinyos-1.x/tos/system/LedsC.nc"
result_t LedsC_Leds_set(uint8_t ledsNum)
//line 155
{
  LedsC_ledsOn = ledsNum & 0x7;
  if (LedsC_ledsOn & LedsC_GREEN_BIT) {
    TOSH_CLR_GREEN_LED_PIN();
    }
  else {
//line 160
    TOSH_SET_GREEN_LED_PIN();
    }
//line 161
  if (LedsC_ledsOn & LedsC_YELLOW_BIT) {
    TOSH_CLR_YELLOW_LED_PIN();
    }
  else {
//line 164
    TOSH_SET_YELLOW_LED_PIN();
    }
//line 165
  if (LedsC_ledsOn & LedsC_RED_BIT) {
    TOSH_CLR_RED_LED_PIN();
    }
  else {
//line 168
    TOSH_SET_RED_LED_PIN();
    }
//line 169
  return SUCCESS;
}
